6.0.0-git
2019-03-20

[#6311] CSV Import fails for multi-line Notes fields
Summary CSV Import fails for multi-line Notes fields
Queue Turba
Queue Version 2.1.7
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester horde (at) agotnes (dot) com
Created 2008-02-24 (4042 days ago)
Due
Updated 2008-03-05 (4032 days ago)
Assigned 2008-02-24 (4042 days ago)
Resolved 2008-03-04 (4033 days ago)
Milestone
Patch No

History
2008-03-05 05:13:13 Matt Selsky Comment #8 Reply to this comment
Notice: Uninitialized string offset: -1 in
/etc/httpd/htdocs/horde/framework/File_CSV/CSV.php on line 189
This seems like a separate problem so I'll file a new bug.
2008-03-04 15:20:11 Matt Selsky Comment #7 Reply to this comment
I get this now:



Notice: Uninitialized string offset: -1 in 
/etc/httpd/htdocs/horde/framework/File_CSV/CSV.php on line 189






2008-03-04 11:44:58 Jan Schneider Comment #6
Assigned to Jan Schneider
State ⇒ Resolved
Reply to this comment
Finally nailed down and fixed.
2008-02-25 16:14:49 Matt Selsky Comment #5
New Attachment: outlook1.csv Download
Reply to this comment
Data file for test.
2008-02-25 16:14:17 Matt Selsky Comment #4
New Attachment: bug_6311.phpt Download
Reply to this comment
PHP test for bug.
2008-02-25 04:49:11 Matt Selsky Comment #3 Reply to this comment
It's broken in HEAD, too.
2008-02-24 23:25:05 Chuck Hagenbuch Comment #2
State ⇒ Feedback
Reply to this comment
Can you please test with Horde 3.2-RC2?
2008-02-24 08:06:52 horde (at) agotnes (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ CSV Import fails for multi-line Notes fields
Queue ⇒ Turba
New Attachment: addr.csv Download
Reply to this comment
See attached file with 2 addresses, this file was generated from 
Outlook 2003 and the records have CR characters in the Notes field 
with no text.



This stops the import after the first contact is imported with no 
error message reported (a success message is in fact reported).



Cleaning up the notes field resolved the issue and the import succeeded.

Saved Queries